using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{

    /// <summary>
    /// 机票费用录入
    /// </summary>
    [SugarTable("Grp_AirTicketReservations")]
    public class Grp_AirTicketReservations : EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DIId { get; set; }
        /// <summary>
        /// 航班号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string FlightsCode { get; set; }

        /// <summary>
        /// 航班日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string FlightsDate { get; set; }

        /// <summary>
        /// 航班时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(22)")]
        public string FlightsTime { get; set; }
        /// <summary>
        /// 抵达时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(22)")]
        public string ArrivedTime { get; set; }
        /// <summary>
        /// 是否值机
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCheckIn { get; set; }
        /// <summary>
        /// 是否选座
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsSetSeat { get; set; }

        /// <summary>
        /// 是否购买行李服务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsPackage { get; set; }
        /// <summary>
        /// 是否行李直挂
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsBagHandle { get; set; }
        /// <summary>
        /// 是否火车票出票选座
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsTrain { get; set; }
        /// <summary>
        /// 城市A-B
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string FlightsCity { get; set; }
        /// <summary>
        /// 去程航班描述代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string LeaveDescription { get; set; }
        /// /// <summary>
        /// 内陆段航班描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string FlightsDescription { get; set; }
        /// <summary>
        /// 返程航班描述代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ReturnDescription { get; set; }
        /// <summary>
        /// 客户人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ClientNum { get; set; }
        /// <summary>
        /// 客人名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ClientName { get; set; }
        /// <summary>
        /// 出票前报价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal PrePrice { get; set; }
        /// <summary>
        /// 出票前报价币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PreCurrency { get; set; }
        /// <summary>
        /// 机票全价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }

        /// <summary>
        /// 机票编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string TicketNumber { get; set; }
        /// <summary>
        /// 机票票号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string TicketCode { get; set; }

        /// <summary>
        /// 报价说明
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(1000)")]
        public string PriceDescription { get; set; }
        
        /// <summary>
        /// 舱类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CType { get; set; }
    }
}
